VNMediaClientNET

Public Member Functions | List of all members
VideoNext::GraphicsWrapper Class Reference
Inheritance diagram for VideoNext::GraphicsWrapper:

## Public Member Functions
void | setGraphicsRenderer (IGraphicsRenderer^ gr)
virtual bool | drawImage (const Image *img, int x, int y, int width, int height)
virtual void | drawLine (int x1, int y1, int x2, int y2)
virtual void | setColor (Color c)
virtual void | drawRect (int x, int y, int width, int height)
virtual void | fillRect (int x, int y, int width, int height)
virtual void | drawEllipse (int x, int y, int width, int height)
virtual void | fillEllipse (int x, int y, int width, int height)
virtual void | drawPolyline (const std::vector< int > &xCoords, const std::vector< int > &yCoords, int count)
virtual void | drawPolyline (const std::vector< Point2 > &points)
virtual void | fillPolygon (const std::vector< int > &xCoords, const std::vector< int > &yCoords, int count)
virtual void | fillPolygon (const std::vector< Point2 > &points)
virtual float | getStrokeWidth () const
virtual void | setStrokeWidth (float strokeWidth)
virtual void | setFont (const char *fontName, float fontSize, FONT_STYLE fontStyle)
virtual float | fontAscent () const
virtual float | fontDescent () const
virtual Point2 | measureText (const std::string &text)
virtual Rectangle2 | drawString (const std::string &text, float x, float y, HORZ_ALIGN horzAlign=Left, VERT_ALIGN vertAlign=BaseLine)
virtual void | pushState ()
virtual void | popState ()
virtual void | setTransform2Identity ()
virtual void | setTransform2 (Transform2Matrix matrix)
virtual Transform2Matrix | getTransform2 ()
virtual void | multiplyTransform2 (Transform2Matrix matrix)
virtual void | scaleTransform2 (float sx, float sy)
virtual void | rotateTransform2 (float angle)
virtual void | translateTransform2 (float dx, float dy)

## Additional Inherited Members
Public Types inherited from Graphics
enum | FONT_STYLE { Regular = 0, Bold = 1, Italic = 2, BoldItalic = 3 }
enum | HORZ_ALIGN { Left, Center, Right }
enum | VERT_ALIGN { Top, Middle, BaseLine, Bottom }

The documentation for this class was generated from the following file:

- src/VNMediaClientNET/AnalyticsRenderer.cpp